# Asterisk Project : Asterisk 13 ManagerEvent_MessageWaiting

Created by wikibot on Aug 08, 2014

# MessageWaiting

### Synopsis

Raised when the state of messages in a voicemail mailbox has changed or when a channel has finished interacting with a mailbox.

### Description

Note

Icon

The Channel related parameters are only present if a channel was involved in the manipulation of a mailbox. If no channel is involved, the parameters are not included with the event.

### Syntax

    Event: MessageWaiting
    Channel: <value>
    ChannelState: <value>
    ChannelStateDesc: <value>
    CallerIDNum: <value>
    CallerIDName: <value>
    ConnectedLineNum: <value>
    ConnectedLineName: <value>
    AccountCode: <value>
    Context: <value>
    Exten: <value>
    Priority: <value>
    Uniqueid: <value>
    Mailbox: <value>
    Waiting: <value>
    New: <value>
    Old: <value>

##### Arguments

- `Channel`
- `ChannelState` - A numeric code for the channel's current state, related to ChannelStateDesc
- `ChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `CallerIDNum`
- `CallerIDName`
- `ConnectedLineNum`
- `ConnectedLineName`
- `AccountCode`
- `Context`
- `Exten`
- `Priority`
- `Uniqueid`
- `Mailbox` - The mailbox with the new message, specified as `mailbox`@`context`
- `Waiting` - Whether or not the mailbox has messages waiting for it.
- `New` - The number of new messages.
- `Old` - The number of old messages.

### Class

CALL

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538